Discussion Thread For Bust Linux Package Repository


#1

Discuss the Burst package repository maintained by the PoCC.

Announcement thread here:


#2

So when you do
http://package.cryptoguru.org/debian/init.sh | bash
you should see

Checking for lsb-release...
Detected lsb-release...
Detected operating system as debian/stretch.
Checking for curl...
Detected curl...
Running apt-get update... done.
Installing debian-archive-keyring which is needed for installing 
apt-transport-https on many Debian systems.
Installing apt-transport-https... done.
Installing /etc/apt/sources.list.d/cryptoguru.list... done.
Setting Top Priority /etc/apt/preferences.d/cryptoguru.pref...done.
Importing gpg key... done.
Running apt-get update... done.

The repository is setup! You can now install packages.

after that you can install creepMiner like a regular package:

# apt-get install creepminer
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libpocojson46
The following NEW packages will be installed:
  creepminer libpocojson46
0 upgraded, 2 newly installed, 0 to remove and 24 not upgraded.
Need to get 407 kB of archives.
After this operation, 1,663 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 https://package.cryptoguru.org/debian/stretch stretch/main amd64 libpocojson46 amd64 1.7.6+dfsg1-5 [147 kB]
Get:2 https://package.cryptoguru.org/debian/stretch stretch/main amd64 creepminer amd64 1.5.2-1 [261 kB]
Fetched 407 kB in 0s (3,737 kB/s)   
Selecting previously unselected package libpocojson46.
(Reading database ... 66256 files and directories currently installed.)
Preparing to unpack .../libpocojson46_1.7.6+dfsg1-5_amd64.deb ...
Unpacking libpocojson46 (1.7.6+dfsg1-5) ...
Selecting previously unselected package creepminer.
Preparing to unpack .../creepminer_1.5.2-1_amd64.deb ...
Unpacking creepminer (1.5.2-1) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
Setting up libpocojson46 (1.7.6+dfsg1-5) ...
Setting up creepminer (1.5.2-1) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...

Then go to /etc/creepMiner/mining.conf and make your config changes (location of plot files, submission URLs, etc.)

Finally you can start creepMiner with

systemctl start creepminer


#3

How do I fix this?

\wget -q -O - http://package.cryptoguru.org/ubuntu/init.sh | bash

Checking for lsb-release…
Detected lsb-release…
Detected operating system as linuxmint/sylvia.
Unfortunately, your operating system distribution and version are not supported by this script.


#4

Use Ubuntu or Debian.

Because Mint seems also to use .deb packages there is a slight chance you could be able to install the packages too. Just have a look at what the script does and try the steps manually.